<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Grid布局-基础单位：auto-fit</title>
    <style>
        /* auto-fit：自适应数量*/
        .wrapper{
            display: grid;
            grid-gap: 5px;
            grid-template-columns: repeat(auto-fit,100px);
            grid-template-rows:repeat(2,100px);
        }
        .wrapper div{
            border: 1px solid red;
        }
    </style>
</head>
<body>
    <div class="wrapper">
        <div>1</div>
        <div>2</div>
        <div>3</div>
        <div>4</div>
        <div>5</div>
        <div>6</div>
    </div>
</body>
</html>